Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 1121022 - [Fedora] RFE: 'Requires Review' checkbox at project level settings
[Fedora] RFE: 'Requires Review' checkbox at project level settings
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Retired
Component: Component-API (Show other bugs)
3.3
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-18 04:06 EDT by Noriko Mizumoto
Modified: 2015-07-30 21:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:50:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noriko Mizumoto 2014-07-18 04:06:36 EDT
"Reviewed" mark. 

Japanese team has a proofreading process in their translation procedure. Once translation completed, it is proofread and marked as 'reviewed' manually by other translator. This is time consuming process but ensures translation high standard quality as well to avoid any mistake. There must be similar process existed in other teams too.
Please consider to have this feature.
Comment 1 Ding-Yi Chen 2014-07-20 20:47:47 EDT
The review feature is already in Zanata for project-version level.

However, we don't have this in project level, and I think it also make sense to enable review mark at project level.


Steps to reproduce:
1) Sign in as project maintainer
2) Go to project page
3) Click Settings -> Translation

Actual:
 Checkbox "Require translation review" did not exist.

Expected:
 Checkbox "Require translation review" should exist.


Workaround:

You can enable the review feature within project-version level by:
1) Sign in as project maintainer
2) Go to project-version page
3) Click Settings -> Translation
4) Check "Require translation review"

Reviewers can set a translation entry as "Approved" or "Rejected"
Comment 2 Carlos Munoz 2014-08-26 00:17:34 EDT
Noriko, would you agree this is is a low severity request?

I mean, the current workaround is to check the "Requires translation review" checkbox at the version level every time a new version is created. This is a manual process, but it's a very simple one, and shouldn't take too much time.
Comment 3 Noriko Mizumoto 2014-08-26 23:33:48 EDT
Yes Yes, please make it lower severity, and place it appropriate order in the to-do list. Thank you!
Comment 5 Damian Jansen 2015-07-13 20:21:02 EDT
Reassigned to PM
Comment 6 Zanata Migrator 2015-07-30 21:50:23 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-569

Note You need to log in before you can comment on or make changes to this bug.